#!/bin/bash
#
# Copyright 2024 Nordix Foundation.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

set -o errexit  # Exit on most errors
set -o nounset  # Disallow expansion of unset variables
set -o pipefail # Use last non-zero exit code in a pipeline
set -o xtrace   # Trace logging

cd "$WORKSPACE"

# Check out CPS source repo
rm -rf cps
git clone https://gerrit.nordix.org/onap/cps
cd cps

# Start the k6 test runner
chmod 755 ./k6-tests/run-k6-tests.sh
CLEAN_DOCKER_IMAGES=1 ./k6-tests/run-k6-tests.sh endurance
