#!/bin/bash
set -o errexit
set -o nounset
set -o pipefail

cd $WORKSPACE

cd $WORKSPACE/csit
echo "----------------------------------------------------"
echo "Ensure Pip is usable"
echo "----------------------------------------------------"
sudo apt-get install -y python3-venv
sudo apt-get install -y python3-dev gcc

echo "----------------------------------------------------"
echo "Install Docker Compose if needed"
echo "----------------------------------------------------"
if [ -f /usr/local/lib/docker/cli-plugins/docker-compose ]; then
  echo "Docker compose already installed"
else
  echo "Installing Docker Compose"
  sudo mkdir -p /usr/local/lib/docker/cli-plugins
  sudo curl -SL https://github.com/docker/compose/releases/download/v2.27.0/docker-compose-linux-x86_64 -o /usr/local/lib/docker/cli-plugins/docker-compose
  sudo chmod +x /usr/local/lib/docker/cli-plugins/docker-compose
fi

unset WORKSPACE

git config --global user.email "infra@nordix.org"
git config --global user.name "nordix"

for csit_test in  $(echo "$CSIT_TEST_NAMES" | tr " " "\n")
do
  ./run-project-csit.sh "$csit_test"
  # remove any side effects of the runs
  git stash
done
